# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.remote.core.IRemoteConnection
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_SEPARATOR_PROPERTY`
`"file.separator"`
`public static final String`
`LINE_SEPARATOR_PROPERTY`
`"line.separator"`
`public static final String`
`LOCALE_CHARMAP_PROPERTY`
`"locale.charmap"`
`public static final String`
`OS_ARCH_PROPERTY`
`"os.arch"`
`public static final String`
`OS_NAME_PROPERTY`
`"os.name"`
`public static final String`
`OS_VERSION_PROPERTY`
`"os.version"`
`public static final String`
`PATH_SEPARATOR_PROPERTY`
`"path.separator"`
`public static final String`
`USER_HOME_PROPERTY`
`"user.home"`
org.eclipse.remote.core.IRemotePreferenceConstants
Modifier and Type
Constant Field
Value
`public static final String`
`PREF_CONNECTION_TYPE_ID`
`"connectionTypeId"`
org.eclipse.remote.core.IRemoteProcessBuilder
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOCATE_PTY`
`1`
`public static final int`
`APPEND_ENVIRONMENT`
`3`
`public static final int`
`FORWARD_X11`
`2`
`public static final int`
`NONE`
`0`
org.eclipse.remote.core.IRemoteProcessSignalService
Modifier and Type
Constant Field
Value
`public static final int`
`ABRT`
`6`
`public static final int`
`ALRM`
`14`
`public static final int`
`CONT`
`19`
`public static final int`
`FPE`
`8`
`public static final int`
`HUP`
`1`
`public static final int`
`ILL`
`4`
`public static final int`
`INT`
`2`
`public static final int`
`KILL`
`9`
`public static final int`
`PIPE`
`13`
`public static final int`
`QUIT`
`3`
`public static final int`
`SEGV`
`11`
`public static final int`
`STOP`
`17`
`public static final int`
`TERM`
`15`
`public static final int`
`TSTP`
`18`
`public static final int`
`USR1`
`30`
`public static final int`
`USR2`
`31`
org.eclipse.remote.core.IUserAuthenticatorService
Modifier and Type
Constant Field
Value
`public static final int`
`CANCEL`
`1`
`public static final int`
`ERROR`
`1`
`public static final int`
`INFORMATION`
`2`
`public static final int`
`NO`
`3`
`public static final int`
`NONE`
`0`
`public static final int`
`OK`
`0`
`public static final int`
`QUESTION`
`3`
`public static final int`
`WARNING`
`4`
`public static final int`
`YES`
`2`
org.eclipse.remote.core.RemoteConnectionChangeEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ATTRIBUTES_CHANGED`
`64`
`public static final int`
`CONNECTION_ABORTED`
`4`
`public static final int`
`CONNECTION_ADDED`
`16`
`public static final int`
`CONNECTION_CLOSED`
`1`
`public static final int`
`CONNECTION_OPENED`
`2`
`public static final int`
`CONNECTION_REMOVED`
`32`
`public static final int`
`CONNECTION_RENAMED`
`8`

org.eclipse.remote.serial.core.ISerialPortService
Modifier and Type
Constant Field
Value
`public static final String`
`BAUD_RATE_ATTR`
`"serial.baudRate"`
`public static final String`
`BYTE_SIZE_ATTR`
`"serial.byteSize"`
`public static final String`
`CONNECTION_TYPE_ID`
`"org.eclipse.remote.serial.core.connectionType"`
`public static final String`
`PARITY_ATTR`
`"serial.parity"`
`public static final String`
`PORT_NAME_ATTR`
`"serial.portName"`
`public static final String`
`STOP_BITS_ATTR`
`"serial.stopBits"`

org.eclipse.remote.telnet.core.TelnetConnection
Modifier and Type
Constant Field
Value
`public static final String`
`HOSTNAME_ATTR`
`"telnet.hostname.attr"`
`public static final String`
`PASSWORD_ATTR`
`"telnet.password.attr"`
`public static final String`
`PORT_ATTR`
`"telnet.port.attr"`
`public static final String`
`TIMEOUT_ATTR`
`"telnet.timeout.attr"`
`public static final String`
`USERNAME_ATTR`
`"telnet.username.attr"`
org.eclipse.remote.telnet.core.TelnetProtocol
Modifier and Type
Constant Field
Value
`protected static final int`
`BUFFER_SIZE`
`2048`
`protected static final int`
`STATE_DO_RECEIVED`
`4`
`protected static final int`
`STATE_DONT_RECEIVED`
`5`
`protected static final int`
`STATE_IAC_RECEIVED`
`1`
`protected static final int`
`STATE_INITIAL`
`0`
`protected static final int`
`STATE_RECEIVING_SUBNEGOTIATION`
`7`
`protected static final int`
`STATE_SUBNEGOTIATION_STARTED`
`6`
`protected static final int`
`STATE_WILL_RECEIVED`
`2`
`protected static final int`
`STATE_WONT_RECEIVED`
`3`
`public static final byte`
`TELNET_AO`
`0xf5`
`public static final byte`
`TELNET_AYT`
`0xf6`
`public static final byte`
`TELNET_BREAK`
`0xf3`
`public static final byte`
`TELNET_DM`
`0xf2`
`public static final byte`
`TELNET_DO`
`0xfd`
`public static final byte`
`TELNET_DONT`
`0xfe`
`public static final byte`
`TELNET_EC`
`0xf7`
`public static final byte`
`TELNET_EL`
`0xf8`
`public static final byte`
`TELNET_GA`
`0xf9`
`public static final byte`
`TELNET_IAC`
`0xff`
`public static final byte`
`TELNET_IP`
`0xf4`
`public static final byte`
`TELNET_IS`
`0x0`
`public static final byte`
`TELNET_NOP`
`0xf1`
`public static final byte`
`TELNET_OPTION_ECHO`
`0x1`
`public static final byte`
`TELNET_OPTION_NAWS`
`0x1f`
`public static final byte`
`TELNET_OPTION_SUPPRESS_GA`
`0x3`
`public static final byte`
`TELNET_OPTION_TERMINAL_TYPE`
`0x18`
`public static final byte`
`TELNET_OPTION_TRANSMIT_BINARY`
`0x0`
`public static final byte`
`TELNET_SB`
`0xfa`
`public static final byte`
`TELNET_SE`
`0xf0`
`public static final byte`
`TELNET_SEND`
`0x1`
`public static final byte`
`TELNET_WILL`
`0xfb`
`public static final byte`
`TELNET_WONT`
`0xfc`

org.eclipse.remote.ui.IRemoteUIConnectionService
Modifier and Type
Constant Field
Value
`public static final String`
`NEW_CONNECTION_COMMAND`
`"org.eclipse.remote.ui.command.newConnection"`
org.eclipse.remote.ui.IRemoteUIConstants
Modifier and Type
Constant Field
Value
`public static final int`
`NONE`
`0`
`public static final int`
`OPEN`
`2`
`public static final int`
`SAVE`
`4`

org.eclipse.remote.ui.dialogs.RemoteResourceBrowser
Modifier and Type
Constant Field
Value
`public static final int`
`DIRECTORY_BROWSER`
`2`
`public static final String`
`EMPTY_STRING`
`""`
`public static final int`
`FILE_BROWSER`
`1`

org.eclipse.remote.ui.widgets.RemoteConnectionWidget
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONNECTION_NAME`
`"Remote Host"`
org.eclipse.remote.ui.widgets.RemoteResourceBrowserWidget
Modifier and Type
Constant Field
Value
`public static final int`
`DIRECTORY_BROWSER`
`2`
`public static final int`
`FILE_BROWSER`
`1`
`public static final int`
`SHOW_CONNECTIONS`
`64`
`public static final int`
`SHOW_HIDDEN_CHECKBOX`
`16`
`public static final int`
`SHOW_LOCAL_SELECTION`
`4`
`public static final int`
`SHOW_NEW_FOLDER_BUTTON`
`32`